Foxit PDF SDK

Instance Methods | List of all members
FSJoinSplit Class Reference
Inheritance diagram for FSJoinSplit:

## Instance Methods
(BOOL) | - activate
| Activate join split editing. More...
(BOOL) | - deactivate
| Deactivate join split editing. More...
(void) | - exitJoinEditing
| Exit join split editing. More...
(BOOL) | - getEnableStatus:
| Get join split editing operation state. More...
(id) | - initWithOther:
| Constructor, with another join split object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - joinBoxes
| Call this function to join text. More...
(void) | - linkBoxes
| Call this function to link text. More...
(BOOL) | - onLButtonDown:point:
| Call this function when left mouse button is down. More...
(BOOL) | - onLButtonUp:point:
| Call this function when left mouse button is up. More...
(BOOL) | - onMouseMove:point:
| Call this function when mouse moves. More...
(BOOL) | - render:renderer:
| Draw the currently join split operation state on the rendering. More...
(void) | - selectNone
| Call this function to clear all selected text. More...
(void) | - splitBoxes
| Call this function to split text. More...
(void) | - unlinkBoxes
| Call this function to unlink text. More...

## Detailed Description

This class represents a join split operation. Before use join split feature, ensure the function FSJoinSplit::activate has been called successfully. Please call the function FSJoinSplit::deactivate to deactivate when no need to use any join split function.

## Method Documentation

## ◆ activate()

- (BOOL) activate |  |  |

Activate join split editing.

Returns
  YES means success, while NO means failure.

## ◆ deactivate()

- (BOOL) deactivate |  |  |

Deactivate join split editing.

Returns
  YES means success, while NO means failure.

## ◆ exitJoinEditing()

- (void) exitJoinEditing |  |  |

Exit join split editing.

Returns
  None.

## ◆ getEnableStatus:()

- (BOOL) getEnableStatus: |  | (FSJoinSplitJoinSplitOperationType) | type |

Get join split editing operation state.

Returns
  YES means enabled, while NO means not.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSJoinSplit*) | other |

Constructor, with another join split object.

Parameters

  [in] | other | Another join split object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ joinBoxes()

- (void) joinBoxes |  |  |

Call this function to join text.

Returns
  None.

## ◆ linkBoxes()

- (void) linkBoxes |  |  |

Call this function to link text.

Returns
  None.

## ◆ onLButtonDown:point:()

- (BOOL) onLButtonDown: |  | (int) | page_index
point: |  | (FSPointF*) | point

Call this function when left mouse button is down.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where left mouse button is down in the page, in device coordinate system.

Returns
  YES means success, while NO means failure.

## ◆ onLButtonUp:point:()

- (BOOL) onLButtonUp: |  | (int) | page_index
point: |  | (FSPointF*) | point

Call this function when left mouse button is up.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where left mouse button is up in the page, in device coordinate system.

Returns
  YES means success, while NO means failure.

## ◆ onMouseMove:point:()

- (BOOL) onMouseMove: |  | (int) | page_index
point: |  | (FSPointF*) | point

Call this function when mouse moves.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where mouse moves in the page, in device coordinate system.

Returns
  YES means success, while NO means failure.

## ◆ render:renderer:()

- (BOOL) render: |  | (FSInt32Array*) | page_index_array
renderer: |  | (FSRenderer*) | renderer

Draw the currently join split operation state on the rendering.

The matrix used in the rendering process is returned by ParagraphEditingProviderCallback::GetRenderMatrix.

Parameters

  [in] | page_index_array | The page index array to render.
  [in] | renderer | A valid renderer object for rendering.

Returns
  YES means success, while NO means failure.

## ◆ selectNone()

- (void) selectNone |  |  |

Call this function to clear all selected text.

Returns
  None.

## ◆ splitBoxes()

- (void) splitBoxes |  |  |

Call this function to split text.

Returns
  None.

## ◆ unlinkBoxes()

- (void) unlinkBoxes |  |  |

Call this function to unlink text.

Returns
  None.